import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ProcedureSourceSchema } from '../enums/ProcedureSource.schema';
import { NestedEnumProcedureSourceFilterObjectSchema as NestedEnumProcedureSourceFilterObjectSchema } from './NestedEnumProcedureSourceFilter.schema'

const makeSchema = () => z.object({
  equals: ProcedureSourceSchema.optional(),
  in: ProcedureSourceSchema.array().optional(),
  notIn: ProcedureSourceSchema.array().optional(),
  not: z.union([ProcedureSourceSchema, z.lazy(() => NestedEnumProcedureSourceFilterObjectSchema)]).optional()
}).strict();
export const EnumProcedureSourceFilterObjectSchema: z.ZodType<Prisma.EnumProcedureSourceFilter> = makeSchema() as unknown as z.ZodType<Prisma.EnumProcedureSourceFilter>;
export const EnumProcedureSourceFilterObjectZodSchema = makeSchema();
